[求助]新的问题,关于Eclipse代码自动提示功能

为当前最终发行版之前的所有版本提供支持
回复
风中温度
帖子: 6
注册时间: 2010-11-19 9:37
送出感谢: 0
接收感谢: 0

[求助]新的问题,关于Eclipse代码自动提示功能

#1

帖子 风中温度 » 2010-11-27 13:05

今天在Ubuntu上装了个Eclipse想练练C/C++编程……
网络上搜索了方法如下:

1 安装eclipse:

通过Ubuntu自带的程序安装功能安装Eclipse,应用程序 ->Ubtuntu软件中心,搜Eclipse

其中要安装两个:一个是eclipse ,另一个是eclipse-pde,(如果不安装它,其它的plugins无法安装成功,也就无法安装cdt)


2安装CDT(C/C++插件)

(1)启动eclipse,菜单栏:Help------>Install New Software------>在Work with的框框下输入以下地址回车。
http://download.eclipse.org/releases/galileo
不可以的话选择右边的ADD按钮,添加这个网址
选择Collaboration->Mylyn Bridge: C/C++ Development,安装,重启eclipse

(2)同上输入网址后选择 Programming Languages->Eclipse C/C++ Development
切记:(1)(2)顺序有依赖关系,安装顺序不能颠倒。



3安装g++

完成前两步,可以建立c++/c工程等,但是编译程序时会发生如下错误,
make[1]: g++: Command not found
没有安装g++,无法进行编译

所以需要安装g++
在终端中运行:sudo apt-get install g++

完成之后可以:File->new->project->c++project->Executable->Hello world c++ project
新建这个简单的项目进行测试。


3安装中文语言包(自选)

菜单栏:Help------>Install New Software------>在Work with的框框下输入以下地址回车。

http://download.eclipse.org/technology/ ... te/galileo

选择简体中文: Babel Language Packs in Chinese (Simplified)

然后就是选择简体中文安图提示一步步安装


4用Eclipse+CDT开发c/c++项目的时候,让Eclipse发挥代码自动提示的功能

打开终端:输入:$ gcc- v

得到类似的:gcc 版本 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2)

很容易就看到你当前使用的版本了。

启动Eclipse.进入:Windows-->Preferences-->C/C++找到Environment。增加两个变 量:

CPLUS_INCLUDE_PATH: /usr/include/c++/4.1.3(我的gcc版本)

C_INCLUDE_PATH: /usr/include

接下来新建一个c project.编写代码的时候,当敲入'.'的时候就会自动弹出可备用的代码。

摘自:
ubuntu10.04 eclipse C/C++平台搭建http://hcleon.javaeye.com/blog/689760

但是,最后哪个代码自动提示我不会弄呃……
增加变量当中,变量名和变量值怎么设的?
变量名为CPLUS_INCLUDE_PATH,值为/usr/include/c++/4.4.3(我的版本)
还是说变量名为CPLUS_INCLUDE_PATH: /usr/include/c++/4.4.3,不设值?

目前来说,出现的现象是按了"."之后无提示……求解……
回复

回到 “老旧版本支持”